### File

`packages/ecl/components/ecl-list/ecl-description-list-definition-item.directive.ts`

### Description

Directive representing a single item in an ECL description list definition.

Applies the appropriate styling classes and allows visibility control for "see all" behavior.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclDescriptionListDefinitionItem]`

### Index

###### Properties
isHidden isLastVisible
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies appropriate ECL classes based on visibility state.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

isHidden
Default value : `false`
Internal state used to hide the item when exceeding the visible limit.

isLastVisible
Default value : `false`
Indicates whether this is the last item visible before the "see all" action is triggered.

### Accessors

cssClasses
get `cssClasses()`
Applies appropriate ECL classes based on visibility state. Returns : `string`

# results matching ""

# No results matching ""